@echo off
VERIFY OTHER 2> nul
SETLOCAL ENABLEEXTENSIONS
if ERRORLEVEL 1 goto :FAILEDTOENTEREXTMODE
rem シンボル庫のコピー元がバッチファイルの引数に与えられていることを確認する。
if %1 == "" goto :ENVSRCNOTSPECIFIED
rem シンボル庫のコピー先がバッチファイルの引数に与えられていることを確認する。
if %2 == "" goto :ENVSRCNOTSPECIFIED
rem コピーする。コピー元で削除されたファイルはコピー先で削除されないことに注意。
rem /PURGE オプションを追加するとコピー元で削除されたファイルはコピー先から削除される。
title コピー中...
robocopy %1 %2 /S /Z
title コピー終了
goto :ENDOFSCRIPT
:PRODUCTNOTFOUND
echo 製品がインストールされていません。
pause
goto :ENDOFSCRIPT
:MULTIPLEDATALOCATIONS
echo "場所の確認と一括変更" ですべての製品のシンボル庫を一箇所にまとめてください。
pause
goto :ENDOFSCRIPT
:ENVSRCNOTSPECIFIED
echo シンボル庫のコピー元が指定されていません。
pause
goto :ENDOFSCRIPT
:ENVSRCNOTFOUND
echo 指定されたディレクトリにシンボル庫が見当たりません。
pause
goto :ENDOFSCRIPT
:FAILEDTOENTEREXTMODE
echo このバッチファイルを使うにはコマンド拡張機能を有効にできる必要があります。
pause
goto :ENDOFSCRIPT
rem
:ENDOFSCRIPT
endlocal
